Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class SerializableType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.SerializableType

All Implemented Interfaces:
  Serializable, Type

    public class SerializableType

extends MutableType

`serializable`: A type that maps an SQL VARBINARY to a serializable Java object.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SerializableType(Class serializableClass)`

Method Summary
`Object` | `assemble(Serializable cached, SessionImplementor session, Object owner)` Reconstruct the object from its cached "disassembled" state.
`Object` | `deepCopyNotNull(Object value)`
`Serializable` | `disassemble(Object value, SessionImplementor session, Object owner)` Return a cacheable "disassembled" representation of the object.
`Object` | `fromStringValue(String xml)`
`Object` | `get(ResultSet rs, String name)` Get a column value from a result set, without worrying about the possibility of null values.
`int` | `getHashCode(Object x, EntityMode entityMode)` Get a hashcode, consistent with persistence "equality"
`String` | `getName()` Returns the abbreviated name of the type.
`Class` | `getReturnedClass()` The class returned by `nullSafeGet()` methods.
`boolean` | `isEqual(Object x, Object y)`
`void` | `set(PreparedStatement st, Object value, int index)` Set a parameter value without worrying about the possibility of null values.
`int` | `sqlType()` A convenience form of `NullableType.sqlTypes(org.hibernate.engine.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.
`String` | `toString(Object value)`

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, compare, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableType

    public SerializableType(Class serializableClass)

Method Detail

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index)
             throws HibernateException,
                    SQLException

  Description copied from class: `NullableType`
  Set a parameter value without worrying about the possibility of null values. Called from `NullableType.nullSafeSet(java.sql.PreparedStatement, java.lang.Object, int, boolean[], org.hibernate.engine.SessionImplementor)` after nullness checks have been performed.

  Specified by:
    `set` in class `NullableType`
  Parameters:
    `st` - The statement into which to bind the parameter value.
    `value` - The parameter value to bind.
    `index` - The position or index at which to bind the param value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### get

    public Object get(ResultSet rs,
                      String name)
               throws HibernateException,
                      SQLException

  Description copied from class: `NullableType`
  Get a column value from a result set, without worrying about the possibility of null values. Called from `NullableType.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.SessionImplementor, java.lang.Object)` after nullness checks have been performed.

  Specified by:
    `get` in class `NullableType`
  Parameters:
    `rs` - The result set from which to extract the value.
    `name` - The name of the value to extract.
  Returns:
    The extracted value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### getReturnedClass

    public Class getReturnedClass()

  Description copied from interface: `Type`
  The class returned by `nullSafeGet()` methods. This is used to establish the class of an array of this type.

  Returns:
    Class

### isEqual

    public boolean isEqual(Object x,
                           Object y)
                    throws HibernateException

  Overrides:
    `isEqual` in class `NullableType`
  Throws:
    `HibernateException`

### getHashCode

    public int getHashCode(Object x,
                           EntityMode entityMode)

  Description copied from interface: `Type`
  Get a hashcode, consistent with persistence "equality"

  Specified by:
    `getHashCode` in interface `Type`
  Overrides:
    `getHashCode` in class `AbstractType`

### toString

    public String toString(Object value)
                    throws HibernateException

  Specified by:
    `toString` in class `NullableType`
  Throws:
    `HibernateException`

### fromStringValue

    public Object fromStringValue(String xml)
                           throws HibernateException

  Specified by:
    `fromStringValue` in class `NullableType`
  Throws:
    `HibernateException`

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Returns:
    String the Hibernate type name

### deepCopyNotNull

    public Object deepCopyNotNull(Object value)
                           throws HibernateException

  Specified by:
    `deepCopyNotNull` in class `MutableType`
  Throws:
    `HibernateException`

### sqlType

    public int sqlType()

  Description copied from class: `NullableType`
  A convenience form of `NullableType.sqlTypes(org.hibernate.engine.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.

  Specified by:
    `sqlType` in class `NullableType`
  Returns:
    The `Types` mapping value.

### assemble

    public Object assemble(Serializable cached,
                           SessionImplementor session,
                           Object owner)
                    throws HibernateException

  Description copied from interface: `Type`
  Reconstruct the object from its cached "disassembled" state.

  Specified by:
    `assemble` in interface `Type`
  Overrides:
    `assemble` in class `AbstractType`
  Parameters:
    `cached` - the disassembled state from the cache
    `session` - the session
    `owner` - the parent entity object
  Returns:
    the the object
  Throws:
    `HibernateException`

### disassemble

    public Serializable disassemble(Object value,
                                    SessionImplementor session,
                                    Object owner)
                             throws HibernateException

  Description copied from interface: `Type`
  Return a cacheable "disassembled" representation of the object.

  Specified by:
    `disassemble` in interface `Type`
  Overrides:
    `disassemble` in class `AbstractType`
  Parameters:
    `value` - the value to cache
    `session` - the session
    `owner` - optional parent entity object (needed for collections)
  Returns:
    the disassembled, deep cloned state
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD